<template>
  <select v-model="perCnt" @change="perPage">
    <option v-for="(cnt, index) in perList" :key="index" :value="cnt">{{cnt}}개</option>
  </select>
</template>

<script>

export default {
  name: "tuiGridPerPage",
  props: [
    "grid",   // tuiGrid의 ref 값
    "per",    // 초기 tuiGrid의 페이지 당 개수
    "perList" // 페이지 당 개수 정보 ex: countList: [5, 10, 50, 100]
  ],
  data() {
    return {
      perCnt: this.per
    }
  },
  methods: {
    perPage: function() {
      this.$parent.$refs[this.grid].setPerPage(this.perCnt);
    }
  }
}
</script>